Bug 727664 - Review Request: florist - Open-source implementation of IEEE Standard 1003.5b-1996
Summary: Review Request: florist - Open-source implementation of IEEE Standard 1003.5b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Oxana Kurysheva
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-02 19:20 UTC by Pavel Zhukov
Modified: 2011-08-23 18:49 UTC (History)
3 users (show)

Fixed In Version: florist-2011-6.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-10 12:53:16 UTC
okurysheva: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pavel Zhukov 2011-08-02 19:20:04 UTC
Spec URL: http://landgraf.fedorapeople.org/packages/requested/florist/florist.spec
SRPM URL: http://landgraf.fedorapeople.org/packages/requested/florist/florist-2011-4.fc15.src.rpm
Description: 
FLORIST is an implementation of the IEEE Standards 1003.5: 1992,
IEEE STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998,
also known as the POSIX Ada Bindings. Using this library,
you can call operating system services from within Ada programs.

koji: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=3247531

Comment 1 Pavel Zhukov 2011-08-02 19:20:55 UTC
rpmlint: 
florist.x86_64: W: unstripped-binary-or-object /usr/lib64/florist/libflorist.so.2011
florist.src: W: invalid-url Source0: florist-gpl-2011-src.tgz

Comment 2 Oxana Kurysheva 2011-08-05 07:28:27 UTC
I'll review it.

Comment 3 Oxana Kurysheva 2011-08-10 06:35:15 UTC
# MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
>>> OK
# MUST: The package must be named according to the Package Naming Guidelines .
>>> OK
# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
>>> OK
# MUST: The package must meet the Packaging Guidelines (Ada packaging guidelines)
>>> OK
# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
>>> OK (GPL)
# MUST: The License field in the package spec file must match the actual license.
>>> OK
# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
>>> OK 
# MUST: The spec file must be written in American English.
>>> OK
# MUST: The spec file for the package MUST be legible. 
>>> OK
# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
>>> OK
# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
>>> OK
# MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. 
>>> ATTN! Please point ExcludeArch for gnat
# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
>>> OK
# MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden
>>> NA
# MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
>>> OK
# MUST: Packages must NOT bundle copies of system libraries.
>>> OK
# MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
>>> OK
# MUST: A package must own all directories that it creates.
>>> OK
# MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
>>> OK
# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
>>> OK
# MUST: Each package must consistently use macros.
>>> OK
# MUST: The package must contain code, or permissable content. 
>>> OK
# MUST: Large documentation files must go in a -doc subpackage
>>> NA
# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
>>> OK
# MUST: Header files must be in a -devel package. 
>>> OK
# MUST: Static libraries must be in a -static package. 
>>> NA
# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
>>> OK
# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} 
>>> OK
# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
>>> OK
# MUST: Packages containing GUI applications must include a %{name}.desktop file,
>>> NA
# MUST: Packages must not own files or directories already owned by other packages.
>>> OK
# MUST: All filenames in rpm packages must be valid UTF-8. [24]
>>> OK

Please check ATTN and fix it

Comment 5 Oxana Kurysheva 2011-08-10 06:44:21 UTC
Ok. Approved

Comment 6 Pavel Zhukov 2011-08-10 07:06:36 UTC
New Package SCM Request
=======================
Package Name: florist
Short Description: Open-source implementation of IEEE Standard 1003.5b-1996
Owners: landgraf
Branches: f15 f16
InitialCC:

Comment 7 Gwyn Ciesla 2011-08-10 09:37:16 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-08-10 12:49:42 UTC
florist-2011-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/florist-2011-6.fc16

Comment 9 Fedora Update System 2011-08-11 04:06:22 UTC
florist-2011-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/florist-2011-6.fc15

Comment 10 Fedora Update System 2011-08-22 15:18:31 UTC
florist-2011-6.fc16 has been pushed to the Fedora 16 stable repository.

Comment 11 Fedora Update System 2011-08-23 18:49:22 UTC
florist-2011-6.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.